javax.validation.constraintvalidation

## Enum ValidationTarget

- java.lang.Object
- - java.lang.Enum<ValidationTarget>
  - - javax.validation.constraintvalidation.ValidationTarget

- All Implemented Interfaces:
    Serializable, Comparable<ValidationTarget>

      public enum ValidationTarget
      extends Enum<ValidationTarget>

  List of possible targets for a `ConstraintValidator`.
  Since:
    1.1
  Author:
    Emmanuel Bernard

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANNOTATED_ELEMENT` (Returned) element annotated by the constraint.
    `PARAMETERS` Array of parameters of the annotated method or constructor (aka cross-parameter).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidationTarget` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ValidationTarget[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANNOTATED_ELEMENT

          public static final ValidationTarget ANNOTATED_ELEMENT

      (Returned) element annotated by the constraint.

    - #### PARAMETERS

          public static final ValidationTarget PARAMETERS

      Array of parameters of the annotated method or constructor (aka cross-parameter).

  - ### Method Detail

    - #### values

          public static ValidationTarget[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValidationTarget c : ValidationTarget.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValidationTarget valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.